管理员服务找到 19 个接口
取得管理员Dashboard数据
composeAdminDashboard
POST
/AdminService/composeAdminDashboard- 定义文件
service_admin.proto- 可用角色
- 管理员
原始定义
rpc composeAdminDashboard (ComposeAdminDashboardRequest) returns (ComposeAdminDashboardResponse);请求消息
ComposeAdminDashboardRequest取得管理员Dashboard数据
请求消息 · 字段定义
message ComposeAdminDashboardRequest {
string apiVersion = 1; // 当前API版本号
}响应消息
ComposeAdminDashboardResponse响应消息 · 字段定义
message ComposeAdminDashboardResponse {
int64 countNodeClusters = 1;
int64 countNodes = 2;
int64 countOfflineNodes = 9;
int64 countServers = 3;
int64 countAuditingServers = 13;
int64 countUsers = 4;
int64 countAPINodes = 5;
int64 countOfflineAPINodes = 10;
int64 countDBNodes = 6;
int64 countOfflineDBNodes = 11;
int64 countUserNodes = 7;
int64 countOfflineUserNodes = 12;
int64 defaultNodeClusterId = 8;
repeated DailyTrafficStat dailyTrafficStats = 30;
repeated HourlyTrafficStat hourlyTrafficStats = 31;
UpgradeInfo nodeUpgradeInfo = 32;
UpgradeInfo apiNodeUpgradeInfo = 33;
UpgradeInfo userNodeUpgradeInfo = 35;
UpgradeInfo authorityNodeUpgradeInfo = 36;
UpgradeInfo nsNodeUpgradeInfo = 37;
UpgradeInfo reportNodeUpgradeInfo = 41;
repeated NodeStat topNodeStats = 38;
repeated DomainStat topDomainStats = 39;
repeated CountryStat topCountryStats = 42;
repeated MetricDataChart metricDataCharts = 40;
message DailyTrafficStat {
string day = 1; // 日期 YYYYMMDD
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7; // 攻击流量(字节)
int64 countIPs = 8; // 独立IP数量
}
message HourlyTrafficStat {
string hour = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message NodeStat {
int64 nodeId = 1;
string nodeName = 2;
int64 countRequests = 3;
int64 bytes = 4;
}
message DomainStat {
int64 serverId = 1;
string domain = 2;
int64 countRequests = 3;
int64 bytes = 4;
}
message CountryStat {
string countryName = 1;
int64 bytes = 2;
int64 countRequests = 3;
float percent = 4; // 流量占比
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
// 节点升级信息
message UpgradeInfo {
int64 countNodes = 1; // 节点数
string newVersion = 2; // 新版本
}
}